//------------------------------------------------------------
/**
 * Classe ObjetNourriture
 *
 *
 * Copyright (C) 2004  Olivier Grunder
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; see the file COPYING.  If not, write to
 *   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *   Boston, MA 02111-1307, USA.
 *
 *   Contact: Olivier Grunder, 
 *            mailto:olivier.grunder@utbm.fr
 *            http://set.utbm.fr/membres/grunder/
 *
 *
 * @author      Olivier Grunder 
 * @date        janvier 2004
 * @version     0.22
 */

   import java.awt.* ;

    public class ObjetNourriture extends ObjetObstacle {
      double oldfacteurZoom=-1 ;
      int xbase ;
      int ybase ;
      int largeurbase ;
   
   //Attributs pour la nourriture
      private int contenu = 250;
   
   /** 
   * Constructeur 
   *
   * @param x0                coord x 
   * @param y0                coord y 
   * @param ry                coord rotation
   * @param s                 coord scale
   * @param id0               numero 
   * @param idgrp0            numero du groupe
   */
       public ObjetNourriture(int x0, int y0,  double ry, double s, int id0, int idgrp0)
      {
         super (x0, y0, ry, s, id0, idgrp0) ;
         type = Objet.NOURRITURE ;
      }
   
   //------------------------------------------------------------
   /** 
   * Dessin 2D de l'objet 
   */
       public void draw(Graphics g, double facteurZoom) {
         if (contenu>0) {
            if (oldfacteurZoom!=facteurZoom) {
               oldfacteurZoom = facteurZoom ;
               xbase = (int)(x*facteurZoom) ;
               ybase = (int)(y*facteurZoom) ;
               largeurbase = (int)(6*facteurZoom+6) ;
            }
            g.setColor(Color.yellow);
            g.fillOval(xbase, ybase, largeurbase, largeurbase) ;
         }
      }
   
   /* Gestion de la nourriture restante */
   
       public void enleveContenu (){
         contenu--;
      }
     
       public int getContenu (){
         return contenu;
      }
   
   
   }
